# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Curses.pm) perl-podlators
# END SourceDeps(oneline)
Name:           perl-perlmenu
Version:        4.0
Release:        alt1_19
Summary:        Perl library module for curses-based menus & data-entry templates

Group:          Development/Perl
License:        LGPLv2 or Artistic clarified
URL:            http://search.cpan.org/dist/perlmenu/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SK/SKUNZ/perlmenu.v%{version}.tar.gz
Patch0:         getcapforperl5.patch
BuildArch:      noarch

Source44: import.info

%description
PerlMenu - Perl library module for curses-based menus & data-entry templates.


%prep
%setup -q -n perlmenu.v%{version}
%patch0 -p0
mkdir examples
mv demo* ez* template_* menuutil.pl examples/
find examples -type f -exec chmod 644 {} \;
sed -i -e 's|/usr/local/bin/perl5|%{__perl}|' examples/*

%build
%{__perl} create_menu.pl 

%install
install -d $RPM_BUILD_ROOT%{perl_vendor_privlib}
install -p -m 644 perlmenu.pm $RPM_BUILD_ROOT%{perl_vendor_privlib}


%files
%doc FAQ MENUUTIL_DOC MENU_DOC README RELEASE_NOTES TO_DO COPYING examples
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_19
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_18
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 4.0-alt1_16
- fc import

